Status: Closed   

Priority: Normal   

Category:    

Customer: BOSCH Product Issue

Numbers:

 

Department: CC-DA/ETV Affected Products: ADTF 2.13.3, ADTF Calibration Toolbox

2.8.0

Requester's Priority: Normal Platform: Windows 7 64bit

Support Level: 3rd Level Topic: CalibrationTB::XCP

Resolution: Solved Issue FAQ Links:  

Description

Wenn ich versuche eine XCP Verbindung mit dem Steuergerät aufzubauen, erhalte ich folgende Fehlermeldung "Unable to allocate

buffer".

Ich kann leider anhand der Dokumentation die Fehlermeldung nicht zuordnen.

Ich selber gehe davon aus, dass es eher ein Feedback aus der ECU Software von der XCP Server Implementierung ist.

Über eine schnelle Antwort würde ich mich freuen.

Zusammenfassung:

Nach Starten der Konfiguration erscheint folgende Fehlermeldung

 error_message.PNG 

Grund hierfür ist eine fehlerhafte Bufferkonfiguration:

@<?xml version="1.0" encoding="iso-8859-1" standalone="no"?>

<settings codec="" version="1.00">

<input>

<buffer clear_after_transmit="false" daq_event="100ms" name="test_output">

<struct name="test_output">

<element name="TestCounter" signal="TestCounter" type="tUInt32" />

 </struct>

 </buffer>

<buffer clear_after_transmit="false" daq_event="10 ms" name="test_output_2" />

 </input>

 </settings>@

 Sobald ein Pin über den SignalConfigFilterEditor generiert wird, aber hierfür kein Signal aus dem A2L ausgewählt wird, tritt der

angesprochene Fehler auf --> Im angegebenen Snippet handelt es sich hierbei um den Pin "test_output_2"
 Lösung:

Löschen des konfigurierten Pins oder hinzufügen eines Signals aus der Datenbank

History

#1 - 2019-03-05 18:51 - hidden

- Status changed from New to In Progress

- Topic set to CalibrationTB::XCP

#2 - 2019-03-05 18:51 - hidden

- Support Level changed from 2nd Level to 3rd Level

#3 - 2019-03-06 08:48 - hidden

- Status changed from In Progress to Customer Feedback Required

Thomas Gey wrote:

Wenn ich versuche eine XCP Verbindung mit dem Steuergerät aufzubauen, erhalte ich folgende Fehlermeldung "Unable to allocate buffer".

Ich kann leider anhand der Dokumentation die Fehlermeldung nicht zuordnen.

Ich selber gehe davon aus, dass es eher ein Feedback aus der ECU Software von der XCP Server Implementierung ist.

Über eine schnelle Antwort würde ich mich freuen.

Mit freundlichen Grüßen

Thomas Gey

 Hallo Thomas,

könntest du mir bitte den consol_view log zukommen lassen (bitte beim XCP_Codec die Option 'Dump XCP Frames' aktivieren)?

Über welchen Transportlayer möchtest du mit der ECU kommunizieren?

Viele Grüße,

Michael

#4 - 2019-03-06 13:38 - hidden

Hallo Michael,

die Verbindung läuft über XCP via Ethernet.

Das Console View log folgt noch.

Gruß Thomas

#5 - 2019-03-06 14:30 - hidden

- File XCP_US_log.csv added

#6 - 2019-03-06 15:48 - hidden

Thomas Gey wrote:

Hallo Michael,

die Verbindung läuft über XCP via Ethernet.

Das Console View log folgt noch.

Gruß Thomas

 Hi Thomas,

könntest du mir bitte noch das A2L anhängen?

Das 'Dump XCP Buffers' Property des XCP_Codec_US war aktiviert, oder?

Falls dem so wäre, würde etwas mit dem Erstellen des ersten Connect-Frames innherhalb des Codecs nicht stimmen.

Dazu müsste ich das A2l-File besitzen und kontrollieren, woran das

Welche Properties sind innerhalb des Codecs gesetzt?

Gruß,

Michi

#7 - 2019-03-06 17:07 - hidden

Hallo Michael,

wir haben die Ursache gefunden.

Wenn ich in der "Buffer Configuration" einen Pin anlege, diesem jedoch kein Signal aus der a2l hinzufüge.

Dann kommt das Popup.
Vielen dank nochmal für deine schnelle Hilfe

Gruß Thomas

Das Ticket kann geschlossen werden.

#8 - 2019-03-07 08:19 - hidden

- File error_message.PNG added

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Resolution set to Solved Issue

#9 - 2019-03-07 09:12 - hidden

- Project changed from 5 to Public Support

- Subject changed from XCP Fehlermeldung "Unable to allocate buffer" lässt sich nicht zuordnen to Unable to allocate buffer

- Status changed from To Be Closed to Closed

- Private changed from Yes to No

#10 - 2019-03-07 09:12 - hidden

- Description updated

Files

XCP_US_log.csv 31 KB 2019-03-06 hidden

error_message.PNG 5.81 KB 2019-03-07 hidden
